Package org.apache.velocity.runtime

# Interface Renderable

All Known Subinterfaces:
  `Node`

All Known Implementing Classes:
  `ASTAddNode`, `ASTAndNode`, `ASTAssignment`, `ASTBinaryOperator`, `ASTBlock`, `ASTComment`, `ASTComparisonNode`, `ASTDirective`, `ASTDirectiveAssign`, `ASTDivNode`, `ASTElseIfStatement`, `ASTElseStatement`, `ASTEQNode`, `ASTEscape`, `ASTEscapedDirective`, `ASTExpression`, `ASTFalse`, `ASTFloatingPointLiteral`, `ASTGENode`, `ASTGTNode`, `ASTIdentifier`, `ASTIfStatement`, `ASTIncludeStatement`, `ASTIndex`, `ASTIntegerLiteral`, `ASTIntegerRange`, `ASTLENode`, `ASTLogicalOperator`, `ASTLTNode`, `ASTMap`, `ASTMathNode`, `ASTMethod`, `ASTModNode`, `ASTMulNode`, `ASTNegateNode`, `ASTNENode`, `ASTNotNode`, `ASTObjectArray`, `ASTOrNode`, `ASTParameters`, `ASTprocess`, `ASTReference`, `ASTSetDirective`, `ASTStringLiteral`, `ASTSubtractNode`, `ASTText`, `ASTTextblock`, `ASTTrue`, `ASTVariable`, `ASTWord`, `Block.Reference`, `SimpleNode`

public interface Renderable
This interface characterize objects other than ASTNodes that can be rendered to a writer using a context.

Since:
  1.6
Version:
  $Id:$
Author:
  Claude Brisson

## Method Summary

Modifier and Type
Method
Description
`boolean`
`render(InternalContextAdapter context, Writer writer)`

## Method Details

### render

boolean render(InternalContextAdapter context, Writer writer) throws IOException, MethodInvocationException, ParseErrorException, ResourceNotFoundException

Throws:
  `IOException`
  `MethodInvocationException`
  `ParseErrorException`
  `ResourceNotFoundException`